<!--
-- ListElem.vue, emilien <emilien@emilien-pc>, 2021
-->

<template>
	<div v-if="info && info.label" class="ui-app-root grid center-align gap-1">
		<p class="ui-app-date lead md">{{ time }}</p>
		<div class="ui-app-icon gray-900 bg">
			<img v-if="image" :src="image" />
		</div>
		<div>
			<h6 class="ui-app-name">{{ info.label }}</h6>
			<p class="lead sm">{{ foregroundTime }}</p>
		</div>
	</div>
</template>

<script>
import { format_hhmm, format_time } from '@/utils/time';
import firebase from 'firebase';

export default {
	name: 'ListElem',
	props: {
		app: Object,
	},
	data: () => ({ image: null }),
	computed: {
		time() { return format_hhmm(this.app.date.getHours(), this.app.date.getMinutes()); },
		foregroundTime() { return format_time(this.app.TotalTimeInForeground); },
		info() { return this.$store.getters['appUsage/app'](this.app.PackageName); },

	},
	mounted() {
		firebase.storage().ref(`icons/${ this.app.PackageName }`).getDownloadURL()
			.then((url) => {
				this.image = url;
			})
			.catch(() => {});
	}
};
</script>

<style lang="scss" scoped>

.ui-app-root {
	--app-icon-size: 3rem;
	grid-template-columns: 3rem var(--app-icon-size) auto;

	>p.ui-app-date {
		text-align: right;

	}
}

.ui-app-icon {
	border-radius: 9999px;
	max-width: var(--app-icon-size);
	max-height: var(--app-icon-size);
	width: 100%;
	height: 100%;
}

.ui-app-name {
	max-width: 60vw;
}

</style>

